Foxit PDF RDK

Public Member Functions | List of all members
URIAction Class Reference
Inheritance diagram for URIAction:

## Public Member Functions
| constructor (action)
| Constructor, with parent class object. More...
| GetURI ()
| Get the URI string. More...
| IsTrackPosition ()
| Check whether to track the mouse position when the URI is resolved. More...
| SetTrackPositionFlag (is_track_position)
| Set the value for tracking position flag. More...
| SetURI (uri)
| Set the URI string. More...
Public Member Functions inherited from Action
| constructor (document, action_dict)
| Constructor, with parameters. More...
| GetDict ()
| Get PDF dictionary of current object. More...
| GetDocument ()
| Get the PDF document, to which current action belongs. More...
| GetSubAction (index)
| Get a sub-action by index. More...
| GetSubActionCount ()
| Get the count of sub-actions. More...
| GetType ()
| Get action type. More...
| InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveAllSubActions ()
| Remove all the sub-actions. More...
| RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
| SetSubAction (index, sub_action)
| Set a sub-action by index. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Additional Inherited Members
Static Public Member Functions inherited from Action
static | Create (document, action_type)
| Create a new action, for specified action type. More...
Static Public Attributes inherited from Action
static | e_NewWindowFlagFalse
| Enumeration for new window flag. More...
static | e_NewWindowFlagNone
| No "NewWindow" flag.
static | e_NewWindowFlagTrue
| "NewWindow" flag is true.
static | e_TypeGoto
| Action type: go-to action.
static | e_TypeGoTo3DView
| Action type: go-to-3D-view action.
static | e_TypeGoToE
| Action type: embedded go-to action.
static | e_TypeGoToR
| Action type: remote go-to action.
static | e_TypeHide
| Action type: hide action.
static | e_TypeImportData
| Action type: import-data action.
static | e_TypeJavaScript
| Action type: JavaScript action.
static | e_TypeLaunch
| Action type: launch action.
static | e_TypeMovie
| Action type: movie action.
static | e_TypeNamed
| Action type: named action.
static | e_TypeRendition
| Action type: rendition action.
static | e_TypeResetForm
| Action type: reset-form action.
static | e_TypeSetOCGState
| Action type: set-OCG-state action.
static | e_TypeSound
| Action type: sound action.
static | e_TypeSubmitForm
| Action type: submit-form action.
static | e_TypeThread
| Action type: thread action.
static | e_TypeTrans
| Action type: transition action.
static | e_TypeUnknown
| Enumeration for action type. More...
static | e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Detailed Description

URI (uniform resource identifier) action is an action that causes a URI to be resolved. Class URIAction is derived from Action and offers functions to get/set URI action data.

See also
  Action

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

URIAction.constructor | ( | action |  | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## ◆ GetURI()

URIAction.GetURI | ( |  | ) |

Get the URI string.

Returns
  URI string.

## ◆ IsTrackPosition()

URIAction.IsTrackPosition | ( |  | ) |

Check whether to track the mouse position when the URI is resolved.

Returns
  true means application should track the mouse position, while false means no need to track the mouse position.

## ◆ SetTrackPositionFlag()

URIAction.SetTrackPositionFlag | ( | is_track_position |  | ) |

Set the value for tracking position flag.

Parameters

  [in] | is_track_position | true means to track position, while false means not to track position.

Returns
  None.

## ◆ SetURI()

URIAction.SetURI | ( | uri |  | ) |

Set the URI string.

Parameters

  [in] | uri | A URI string to be set. It should not be an empty string.

Returns
  None.